package org.dive4elements.flys;

import org.dive4elements.river.backend.SessionFactoryProvider;
import org.dive4elements.river.backend.FLYSCredentials;

import org.hibernate.cfg.Configuration;

import org.hibernate.dialect.resolver.DialectFactory;

public class App
{
    public static void dumpSchema(Configuration cfg) {
        System.out.println("BEGIN;");

        String [] setupScript = cfg.generateSchemaCreationScript(
            DialectFactory.constructDialect(
                FLYSCredentials.getDefault().getDialect()));

        for (String line: setupScript) {
            System.out.println(line + ";");
        }

        System.out.println("COMMIT;");
    }

    public static void main(String [] args) {
        dumpSchema(SessionFactoryProvider.createConfiguration());
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
